#!/usr/bin/python

import shutil
import subprocess
import os
import sys

script_path = os.path.abspath(os.path.dirname(sys.argv[0]))
key_file = script_path + "/mendeleydesktop.key"
apt_file_src = script_path + "/mendeleydesktop.list"
apt_file_dest = "/etc/apt/sources.list.d/mendeleydesktop.list"
ok = True

print "Setting up Mendeley Desktop apt repository"

try:
    if (subprocess.call(["apt-key","add",key_file]) != 0):
        raise OSError(0,"Process failed")
except OSError:
    print "\nFailed to add Mendeley Desktop key. " \
          "You can do this manually by running 'sudo apt-key add " + key_file + "'"
    ok = False

try:
    shutil.copy(apt_file_src,apt_file_dest)
except IOError:
    print "\nFailed to setup Mendeley Desktop apt repository. " \
          "You can do this manually by copying " + apt_file_src + " to " + apt_file_dest
    ok = False

if ok:
    print "\nMendeley Desktop apt repository has been set up. " \
          "You can keep Mendeley up to date using your standard software update tools."
